#include <dpp/dpp.h>
#include "listeners/ready.h"
#include "api/config.h"

using json = nlohmann::json;

using namespace dpp;

int main() {
    json configuration = config::read_config();

    cluster bot(configuration["token"], dpp::i_default_intents | dpp::i_message_content);

    bot.on_ready([&bot](const ready_t &event) { ready::execute(bot, event); });

    bot.start(dpp::st_wait);

    return 0;
}